Bug 444514 - Changing system entitlement does not create snapshot
Changing system entitlement does not create snapshot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
: Regression
Depends On:
Blocks: sat530-snapshots
  Show dependency treegraph
 
Reported: 2008-04-28 15:58 EDT by Justin Sherrill
Modified: 2009-09-10 15:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-04-28 15:58:04 EDT
Anytime a system entitlement change is made to system, a snapshot should get
created, but it isn't.

Satellite 4.0 behaves correctly.
Comment 1 Jay Dobies 2009-01-09 09:17:16 EST
Commit: d04aff84141247453122a4c36e1dadabc734fa20

SystemDetailsEditAction.java
- Added logic to create a new snapshot if the subscribed channels changes
Comment 2 Jay Dobies 2009-01-09 11:57:59 EST
Commit: 4f3400c1a4f965f22adaf111fc6038444ac0c9f8

SystemDetailsEditAction.java
StringResource_en_US.xml
- Changed snapshot reason to use i18n
Comment 3 wes hayutin 2009-02-12 09:06:05 EST
reg system
change entitlement

rollback...

success :)
Comment 4 Brad Buckingham 2009-08-03 11:10:37 EDT
verified on 7/24 stage iso... moving to RELEASE_PENDING

ran tests with adding both system and channel entitlements... verified that snapshots created for both types of entitlements... verified that rollback using to earlier snapshots removed those entitlements...
Comment 5 Brandon Perkins 2009-09-10 15:58:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.